package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.WFStepInst;
import com.sa.ibiz.demo.demo.service.dto.WFStepInstSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[WFStepInst] 服务对象接口
 */
public interface WFStepInstService extends IService<WFStepInst>{

	boolean update(WFStepInst et);
	boolean getDraft(WFStepInst et);
	boolean checkKey(WFStepInst et);
	boolean remove(WFStepInst et);
	boolean create(WFStepInst et);
		WFStepInst get(WFStepInst et);
    List<WFStepInst> listDefault(WFStepInstSearchFilter filter) ;
	Page<WFStepInst> searchDefault(WFStepInstSearchFilter filter);
	/**	 实体[WFStepInst] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }